#ifndef __WINLIB_CMIOS9_H
#define __WINLIB_CMIOS9_H
/* unless noted otherwise: (c) 2003, 2004, 2005, 2006, 2007, 2008 by K. M. Indlekofer, all rights reserved */



#define ADDITIONAL_COPYRIGHT_TEXT \
	"This product includes getopt,strncasecmp developed by\n"\
	"the University of California, Berkeley and its contributors.\n"\
	"\n"\
	"Copyright (c) 1987-2002 The Regents of the University of California.\n"\
	"All rights reserved.\n"\
"\n"



#include <stdio.h>
#include <stdlib.h>
#include <Windows.h>
#include <io.h>
#include <fcntl.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <limits.h>
/*#include <unistd.h>*/
/*#include <strings.h>*/
#include <string.h>
#include <ctype.h>
#include <time.h>

typedef unsigned char u_char;
typedef unsigned int u_int;
typedef unsigned long u_long;
typedef int ssize_t;
#ifndef SSIZE_MAX
#define SSIZE_MAX INT_MAX
#endif /* !SSIZE_MAX */

#ifndef OPEN
#define OPEN _open
#endif /* !OPEN */
#ifndef CLOSE
#define CLOSE _close
#endif /* !CLOSE */
#ifndef READ
#define READ _read
#endif /* !READ */
#ifndef WRITE
#define WRITE _write
#endif /* !WRITE */
/* default lseek and off_t cannot handle offsets>=2GB! */
#ifndef LSEEK
#define LSEEK _lseeki64
#endif /* !LSEEK */
#ifndef OFF_T
#define OFF_T __int64
#endif /* !OFF_T */

extern void bcopy(const void *src,void *dst,size_t len);
extern void bzero(void *b,size_t len);

extern int strcasecmp(const char *s1,const char *s2);
extern int strncasecmp(const char *s1,const char *s2,size_t n);

/* getopt */
/*#include <unistd.h>*/
extern int getopt(int argc,char * const argv[],const char *optstring);
extern char *optarg;
extern int optind;
extern int opterr;
extern int optopt;

/* local directory/device */
#include <direct.h>
#define LCHDIR(d) _chdir(d)
#define LDIR system("dir");



#endif /* !__WINLIB_CMIOS9_H */
